org.keycloak.authorization.jpa.store

## Class ScopeAdapter

- java.lang.Object
- - org.keycloak.authorization.model.AbstractAuthorizationModel
  - - org.keycloak.authorization.jpa.store.ScopeAdapter

- All Implemented Interfaces:
    Scope, JpaModel<ScopeEntity>

      public class ScopeAdapter
      extends AbstractAuthorizationModel
      implements Scope, JpaModel<ScopeEntity>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.authorization.model.Scope

      `Scope.FilterOption, Scope.SearchableFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeAdapter(ScopeEntity entity, javax.persistence.EntityManager em, StoreFactory storeFactory)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getDisplayName()` Returns the end user friendly name for this scope.
    `ScopeEntity` | `getEntity()`
    `String` | `getIconUri()` Returns an icon `URI` for this scope.
    `String` | `getId()` Returns the unique identifier for this instance.
    `String` | `getName()` Returns the name of this scope.
    `ResourceServer` | `getResourceServer()` Returns the `ResourceServer` instance to where this scope belongs to.
    `int` | `hashCode()`
    `void` | `setDisplayName(String name)` Sets an end user friendly name for this scope.
    `void` | `setIconUri(String iconUri)` Sets an icon `URI` for this scope.
    `void` | `setName(String name)` Sets a name for this scope.
    `static ScopeEntity` | `toEntity(javax.persistence.EntityManager em, Scope scope)`

    - ### Methods inherited from class org.keycloak.authorization.model.AbstractAuthorizationModel

      `throwExceptionIfReadonly`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScopeAdapter

          public ScopeAdapter(ScopeEntity entity,
                              javax.persistence.EntityManager em,
                              StoreFactory storeFactory)

  - ### Method Detail

    - #### getEntity

          public ScopeEntity getEntity()

      Specified by:
        `getEntity` in interface `JpaModel<ScopeEntity>`

    - #### getId

          public String getId()

      Description copied from interface: `Scope`
      Returns the unique identifier for this instance.
      Specified by:
        `getId` in interface `Scope`
      Returns:
        the unique identifier for this instance

    - #### getName

          public String getName()

      Description copied from interface: `Scope`
      Returns the name of this scope.
      Specified by:
        `getName` in interface `Scope`
      Returns:
        the name of this scope

    - #### setName

          public void setName(String name)

      Description copied from interface: `Scope`
      Sets a name for this scope. The name must be unique.
      Specified by:
        `setName` in interface `Scope`
      Parameters:
        `name` - the name of this scope

    - #### getDisplayName

          public String getDisplayName()

      Description copied from interface: `Scope`
      Returns the end user friendly name for this scope. If not defined, value for `Scope.getName()` is returned.
      Specified by:
        `getDisplayName` in interface `Scope`
      Returns:
        the friendly name for this scope

    - #### setDisplayName

          public void setDisplayName(String name)

      Description copied from interface: `Scope`
      Sets an end user friendly name for this scope.
      Specified by:
        `setDisplayName` in interface `Scope`
      Parameters:
        `name` - the name of this scope

    - #### getIconUri

          public String getIconUri()

      Description copied from interface: `Scope`
      Returns an icon `URI` for this scope.
      Specified by:
        `getIconUri` in interface `Scope`
      Returns:
        a uri for an icon

    - #### setIconUri

          public void setIconUri(String iconUri)

      Description copied from interface: `Scope`
      Sets an icon `URI` for this scope.
      Specified by:
        `setIconUri` in interface `Scope`

    - #### getResourceServer

          public ResourceServer getResourceServer()

      Description copied from interface: `Scope`
      Returns the `ResourceServer` instance to where this scope belongs to.
      Specified by:
        `getResourceServer` in interface `Scope`
      Returns:

    - #### toEntity

          public static ScopeEntity toEntity(javax.persistence.EntityManager em,
                                             Scope scope)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.